# Attributes

Attributes are the central element in the system. They describe the data fields available on entities such as products, variants, categories and global list values. A range of attribute types exist to allow for flexible modelling of your data structure.

## GET /v1/attributes

> Get all attributes in the system

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"Attributes","description":"Attributes are the central element in the system. They describe the data fields available on entities such as products, variants, categories and global list values.\r\nA range of attribute types exist to allow for flexible modelling of your data structure."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.Attribute.Attribute":{"type":"object","properties":{"Uid":{"type":"string","description":"Unique id of attribute","format":"uuid"},"Alias":{"type":"string","description":"Unique alias of attribute. Max length is 50 characters and can only consist of letters a-z/A-Z and numbers 0-9 (but cannot start with a number)","nullable":true},"BackofficeName":{"type":"string","description":"The name of the attribute displayed to the editor in the PIM backoffice","nullable":true},"BackofficeDescription":{"type":"string","description":"The description of the attribute displayed to the editor in the PIM backoffice","nullable":true},"Name":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"The localized name of the attribute usable for displaying the attribute name in ex. a webshop (Dictionary of ISO culturecode and localized value)","nullable":true},"Description":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"The localized description of the attribute usable for displaying a description for the attribute on ex. a webshop (Dictionary of ISO culturecode and localized value)","nullable":true},"AttributeGroupUid":{"type":"string","description":"The id of the attribute group this attribute is placed within","format":"uuid","nullable":true},"AttributeScopes":{"type":"array","items":{"type":"string","format":"uuid"},"description":"Unique ids of the attribute scopes this attribute is placed within","nullable":true},"Localized":{"type":"boolean","description":"Indicates whether values of this attribute are localized"},"FallbackLanguage":{"type":"integer","description":"Indicates a fallback language in case attribute is localized and no value is added to a specific language","format":"int32","nullable":true},"DimensionUid":{"type":"string","description":"Unique id of Dimension to segment values of this attribute on","format":"uuid","nullable":true},"FallbackSegment":{"type":"string","description":"Indicates a fallback segment in case attribute is dimensioned and no value is added to a specific segment of that dimension","format":"uuid","nullable":true},"ReadOnly":{"type":"boolean","description":"Indicates whether this attribute is always readonly.\r\nNOTE: Only applied when attribute is a sub attribute of a complex attribute."},"Mandatory":{"type":"boolean","description":"Indicates whether this attribute is always mandatory.\r\nNOTE: Only applied when attribute is a sub attribute of a complex attribute."},"Columns":{"type":"integer","description":"The number of columns this attribute should span in the PIM backoffice (1-12)","format":"int32"},"Unchangeable":{"type":"boolean","description":"Indicates whether this attribute cannot change its value, once it has a value assigned.\r\nNOTE: Only applied when attribute is a sub attribute of a complex attribute."},"AttributeType":{"type":"string","description":"Type of attribute","nullable":true,"readOnly":true},"DisableRevisionLogging":{"type":"boolean","description":"Disable all revision logging for this attribute"},"DisableIndexing":{"type":"boolean","description":"Disable indexing for this attribute"}},"additionalProperties":false,"description":"Represents an attribute in Struct PIM which can be attached to product, variant or category data models"}}},"paths":{"/v1/attributes":{"get":{"tags":["Attributes"],"summary":"Get all attributes in the system","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.Attribute.Attribute"}}}}}}}}}}
```

## POST /v1/attributes

> Create an attribute

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"Attributes","description":"Attributes are the central element in the system. They describe the data fields available on entities such as products, variants, categories and global list values.\r\nA range of attribute types exist to allow for flexible modelling of your data structure."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.Attribute.Attribute":{"type":"object","properties":{"Uid":{"type":"string","description":"Unique id of attribute","format":"uuid"},"Alias":{"type":"string","description":"Unique alias of attribute. Max length is 50 characters and can only consist of letters a-z/A-Z and numbers 0-9 (but cannot start with a number)","nullable":true},"BackofficeName":{"type":"string","description":"The name of the attribute displayed to the editor in the PIM backoffice","nullable":true},"BackofficeDescription":{"type":"string","description":"The description of the attribute displayed to the editor in the PIM backoffice","nullable":true},"Name":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"The localized name of the attribute usable for displaying the attribute name in ex. a webshop (Dictionary of ISO culturecode and localized value)","nullable":true},"Description":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"The localized description of the attribute usable for displaying a description for the attribute on ex. a webshop (Dictionary of ISO culturecode and localized value)","nullable":true},"AttributeGroupUid":{"type":"string","description":"The id of the attribute group this attribute is placed within","format":"uuid","nullable":true},"AttributeScopes":{"type":"array","items":{"type":"string","format":"uuid"},"description":"Unique ids of the attribute scopes this attribute is placed within","nullable":true},"Localized":{"type":"boolean","description":"Indicates whether values of this attribute are localized"},"FallbackLanguage":{"type":"integer","description":"Indicates a fallback language in case attribute is localized and no value is added to a specific language","format":"int32","nullable":true},"DimensionUid":{"type":"string","description":"Unique id of Dimension to segment values of this attribute on","format":"uuid","nullable":true},"FallbackSegment":{"type":"string","description":"Indicates a fallback segment in case attribute is dimensioned and no value is added to a specific segment of that dimension","format":"uuid","nullable":true},"ReadOnly":{"type":"boolean","description":"Indicates whether this attribute is always readonly.\r\nNOTE: Only applied when attribute is a sub attribute of a complex attribute."},"Mandatory":{"type":"boolean","description":"Indicates whether this attribute is always mandatory.\r\nNOTE: Only applied when attribute is a sub attribute of a complex attribute."},"Columns":{"type":"integer","description":"The number of columns this attribute should span in the PIM backoffice (1-12)","format":"int32"},"Unchangeable":{"type":"boolean","description":"Indicates whether this attribute cannot change its value, once it has a value assigned.\r\nNOTE: Only applied when attribute is a sub attribute of a complex attribute."},"AttributeType":{"type":"string","description":"Type of attribute","nullable":true,"readOnly":true},"DisableRevisionLogging":{"type":"boolean","description":"Disable all revision logging for this attribute"},"DisableIndexing":{"type":"boolean","description":"Disable indexing for this attribute"}},"additionalProperties":false,"description":"Represents an attribute in Struct PIM which can be attached to product, variant or category data models"},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/v1/attributes":{"post":{"tags":["Attributes"],"summary":"Create an attribute","requestBody":{"description":"Attribute to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.Attribute.Attribute"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## PUT /v1/attributes

> Update an attribute

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"Attributes","description":"Attributes are the central element in the system. They describe the data fields available on entities such as products, variants, categories and global list values.\r\nA range of attribute types exist to allow for flexible modelling of your data structure."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.Attribute.Attribute":{"type":"object","properties":{"Uid":{"type":"string","description":"Unique id of attribute","format":"uuid"},"Alias":{"type":"string","description":"Unique alias of attribute. Max length is 50 characters and can only consist of letters a-z/A-Z and numbers 0-9 (but cannot start with a number)","nullable":true},"BackofficeName":{"type":"string","description":"The name of the attribute displayed to the editor in the PIM backoffice","nullable":true},"BackofficeDescription":{"type":"string","description":"The description of the attribute displayed to the editor in the PIM backoffice","nullable":true},"Name":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"The localized name of the attribute usable for displaying the attribute name in ex. a webshop (Dictionary of ISO culturecode and localized value)","nullable":true},"Description":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"The localized description of the attribute usable for displaying a description for the attribute on ex. a webshop (Dictionary of ISO culturecode and localized value)","nullable":true},"AttributeGroupUid":{"type":"string","description":"The id of the attribute group this attribute is placed within","format":"uuid","nullable":true},"AttributeScopes":{"type":"array","items":{"type":"string","format":"uuid"},"description":"Unique ids of the attribute scopes this attribute is placed within","nullable":true},"Localized":{"type":"boolean","description":"Indicates whether values of this attribute are localized"},"FallbackLanguage":{"type":"integer","description":"Indicates a fallback language in case attribute is localized and no value is added to a specific language","format":"int32","nullable":true},"DimensionUid":{"type":"string","description":"Unique id of Dimension to segment values of this attribute on","format":"uuid","nullable":true},"FallbackSegment":{"type":"string","description":"Indicates a fallback segment in case attribute is dimensioned and no value is added to a specific segment of that dimension","format":"uuid","nullable":true},"ReadOnly":{"type":"boolean","description":"Indicates whether this attribute is always readonly.\r\nNOTE: Only applied when attribute is a sub attribute of a complex attribute."},"Mandatory":{"type":"boolean","description":"Indicates whether this attribute is always mandatory.\r\nNOTE: Only applied when attribute is a sub attribute of a complex attribute."},"Columns":{"type":"integer","description":"The number of columns this attribute should span in the PIM backoffice (1-12)","format":"int32"},"Unchangeable":{"type":"boolean","description":"Indicates whether this attribute cannot change its value, once it has a value assigned.\r\nNOTE: Only applied when attribute is a sub attribute of a complex attribute."},"AttributeType":{"type":"string","description":"Type of attribute","nullable":true,"readOnly":true},"DisableRevisionLogging":{"type":"boolean","description":"Disable all revision logging for this attribute"},"DisableIndexing":{"type":"boolean","description":"Disable indexing for this attribute"}},"additionalProperties":false,"description":"Represents an attribute in Struct PIM which can be attached to product, variant or category data models"},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/v1/attributes":{"put":{"tags":["Attributes"],"summary":"Update an attribute","requestBody":{"description":"Attribute to update (uid is used to match existing attribute)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.Attribute.Attribute"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## DELETE /v1/attributes

> Delete an attribute

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"Attributes","description":"Attributes are the central element in the system. They describe the data fields available on entities such as products, variants, categories and global list values.\r\nA range of attribute types exist to allow for flexible modelling of your data structure."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/v1/attributes":{"delete":{"tags":["Attributes"],"summary":"Delete an attribute","parameters":[{"name":"uid","in":"query","description":"Unique id of attribute to delete","schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## GET /v1/attributes/{uid}

> Get a specific attribute

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"Attributes","description":"Attributes are the central element in the system. They describe the data fields available on entities such as products, variants, categories and global list values.\r\nA range of attribute types exist to allow for flexible modelling of your data structure."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.Attribute.Attribute":{"type":"object","properties":{"Uid":{"type":"string","description":"Unique id of attribute","format":"uuid"},"Alias":{"type":"string","description":"Unique alias of attribute. Max length is 50 characters and can only consist of letters a-z/A-Z and numbers 0-9 (but cannot start with a number)","nullable":true},"BackofficeName":{"type":"string","description":"The name of the attribute displayed to the editor in the PIM backoffice","nullable":true},"BackofficeDescription":{"type":"string","description":"The description of the attribute displayed to the editor in the PIM backoffice","nullable":true},"Name":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"The localized name of the attribute usable for displaying the attribute name in ex. a webshop (Dictionary of ISO culturecode and localized value)","nullable":true},"Description":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"The localized description of the attribute usable for displaying a description for the attribute on ex. a webshop (Dictionary of ISO culturecode and localized value)","nullable":true},"AttributeGroupUid":{"type":"string","description":"The id of the attribute group this attribute is placed within","format":"uuid","nullable":true},"AttributeScopes":{"type":"array","items":{"type":"string","format":"uuid"},"description":"Unique ids of the attribute scopes this attribute is placed within","nullable":true},"Localized":{"type":"boolean","description":"Indicates whether values of this attribute are localized"},"FallbackLanguage":{"type":"integer","description":"Indicates a fallback language in case attribute is localized and no value is added to a specific language","format":"int32","nullable":true},"DimensionUid":{"type":"string","description":"Unique id of Dimension to segment values of this attribute on","format":"uuid","nullable":true},"FallbackSegment":{"type":"string","description":"Indicates a fallback segment in case attribute is dimensioned and no value is added to a specific segment of that dimension","format":"uuid","nullable":true},"ReadOnly":{"type":"boolean","description":"Indicates whether this attribute is always readonly.\r\nNOTE: Only applied when attribute is a sub attribute of a complex attribute."},"Mandatory":{"type":"boolean","description":"Indicates whether this attribute is always mandatory.\r\nNOTE: Only applied when attribute is a sub attribute of a complex attribute."},"Columns":{"type":"integer","description":"The number of columns this attribute should span in the PIM backoffice (1-12)","format":"int32"},"Unchangeable":{"type":"boolean","description":"Indicates whether this attribute cannot change its value, once it has a value assigned.\r\nNOTE: Only applied when attribute is a sub attribute of a complex attribute."},"AttributeType":{"type":"string","description":"Type of attribute","nullable":true,"readOnly":true},"DisableRevisionLogging":{"type":"boolean","description":"Disable all revision logging for this attribute"},"DisableIndexing":{"type":"boolean","description":"Disable indexing for this attribute"}},"additionalProperties":false,"description":"Represents an attribute in Struct PIM which can be attached to product, variant or category data models"},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/v1/attributes/{uid}":{"get":{"tags":["Attributes"],"summary":"Get a specific attribute","parameters":[{"name":"uid","in":"path","description":"Unique id of attribute to get","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.Attribute.Attribute"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## POST /v1/attributes/batch

> Get a batch of attributes

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"Attributes","description":"Attributes are the central element in the system. They describe the data fields available on entities such as products, variants, categories and global list values.\r\nA range of attribute types exist to allow for flexible modelling of your data structure."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.Attribute.Attribute":{"type":"object","properties":{"Uid":{"type":"string","description":"Unique id of attribute","format":"uuid"},"Alias":{"type":"string","description":"Unique alias of attribute. Max length is 50 characters and can only consist of letters a-z/A-Z and numbers 0-9 (but cannot start with a number)","nullable":true},"BackofficeName":{"type":"string","description":"The name of the attribute displayed to the editor in the PIM backoffice","nullable":true},"BackofficeDescription":{"type":"string","description":"The description of the attribute displayed to the editor in the PIM backoffice","nullable":true},"Name":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"The localized name of the attribute usable for displaying the attribute name in ex. a webshop (Dictionary of ISO culturecode and localized value)","nullable":true},"Description":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"The localized description of the attribute usable for displaying a description for the attribute on ex. a webshop (Dictionary of ISO culturecode and localized value)","nullable":true},"AttributeGroupUid":{"type":"string","description":"The id of the attribute group this attribute is placed within","format":"uuid","nullable":true},"AttributeScopes":{"type":"array","items":{"type":"string","format":"uuid"},"description":"Unique ids of the attribute scopes this attribute is placed within","nullable":true},"Localized":{"type":"boolean","description":"Indicates whether values of this attribute are localized"},"FallbackLanguage":{"type":"integer","description":"Indicates a fallback language in case attribute is localized and no value is added to a specific language","format":"int32","nullable":true},"DimensionUid":{"type":"string","description":"Unique id of Dimension to segment values of this attribute on","format":"uuid","nullable":true},"FallbackSegment":{"type":"string","description":"Indicates a fallback segment in case attribute is dimensioned and no value is added to a specific segment of that dimension","format":"uuid","nullable":true},"ReadOnly":{"type":"boolean","description":"Indicates whether this attribute is always readonly.\r\nNOTE: Only applied when attribute is a sub attribute of a complex attribute."},"Mandatory":{"type":"boolean","description":"Indicates whether this attribute is always mandatory.\r\nNOTE: Only applied when attribute is a sub attribute of a complex attribute."},"Columns":{"type":"integer","description":"The number of columns this attribute should span in the PIM backoffice (1-12)","format":"int32"},"Unchangeable":{"type":"boolean","description":"Indicates whether this attribute cannot change its value, once it has a value assigned.\r\nNOTE: Only applied when attribute is a sub attribute of a complex attribute."},"AttributeType":{"type":"string","description":"Type of attribute","nullable":true,"readOnly":true},"DisableRevisionLogging":{"type":"boolean","description":"Disable all revision logging for this attribute"},"DisableIndexing":{"type":"boolean","description":"Disable indexing for this attribute"}},"additionalProperties":false,"description":"Represents an attribute in Struct PIM which can be attached to product, variant or category data models"},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/v1/attributes/batch":{"post":{"tags":["Attributes"],"summary":"Get a batch of attributes","requestBody":{"description":"Uids of attributes to get","content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":"uuid"}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.Attribute.Attribute"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Get references to an attribute from other attributes

> \#Available from v.3.5.0

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"Attributes","description":"Attributes are the central element in the system. They describe the data fields available on entities such as products, variants, categories and global list values.\r\nA range of attribute types exist to allow for flexible modelling of your data structure."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.Attribute.AttributeReferences":{"type":"object","properties":{"AttributeUid":{"type":"string","description":"Id of the referenced attribute","format":"uuid"},"ReferencingCategories":{"type":"array","items":{"type":"integer","format":"int32"},"description":"List of categories referencing this attribute for product attribute templating","nullable":true},"ReferencesOnCategoryAttributes":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.Shared.EntityReferenceDetail"},"description":"List of categories referencing this attribute from another attribute","nullable":true},"ReferencesOnProductAttributes":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.Shared.EntityReferenceDetail"},"description":"List of products referencing this attribute from another attribute","nullable":true},"ReferencesOnVariantAttributes":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.Shared.EntityReferenceDetail"},"description":"List of variants referencing this attribute from another attribute","nullable":true},"ReferencingGlobalListValues":{"type":"array","items":{"type":"string","format":"uuid"},"description":"List of global list values referencing this attribute","nullable":true},"ReferencingProductStructures":{"type":"array","items":{"type":"string","format":"uuid"},"description":"List of product structures referencing this attribute","nullable":true},"ReferencingVariationDefinitions":{"type":"array","items":{"type":"string","format":"uuid"},"description":"List of variation definitions referencing this attribute","nullable":true}},"additionalProperties":false,"description":"Model holding references from other entities to an attribute"},"Struct.App.Api.Models.Shared.EntityReferenceDetail":{"type":"object","properties":{"EntityId":{"type":"integer","description":"The id of the referencing entity","format":"int32"},"AttributeUid":{"type":"string","description":"The attribute on the referencing entity that holds the reference","format":"uuid"}},"additionalProperties":false,"description":"Model holding the attribute reference information for an entity reference"}}},"paths":{"/v1/attributes/{uid}/references":{"get":{"tags":["Attributes"],"summary":"Get references to an attribute from other attributes","description":"#Available from v.3.5.0","parameters":[{"name":"uid","in":"path","description":"Uid of attribute","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.Attribute.AttributeReferences"}}}}}}}}}
```

## Get references from other attributes to a batch of attributes

> \#Available from v.3.5.0> \
> No more than 5000 values can be requested at a time.

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"Attributes","description":"Attributes are the central element in the system. They describe the data fields available on entities such as products, variants, categories and global list values.\r\nA range of attribute types exist to allow for flexible modelling of your data structure."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.Attribute.AttributeReferences":{"type":"object","properties":{"AttributeUid":{"type":"string","description":"Id of the referenced attribute","format":"uuid"},"ReferencingCategories":{"type":"array","items":{"type":"integer","format":"int32"},"description":"List of categories referencing this attribute for product attribute templating","nullable":true},"ReferencesOnCategoryAttributes":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.Shared.EntityReferenceDetail"},"description":"List of categories referencing this attribute from another attribute","nullable":true},"ReferencesOnProductAttributes":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.Shared.EntityReferenceDetail"},"description":"List of products referencing this attribute from another attribute","nullable":true},"ReferencesOnVariantAttributes":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.Shared.EntityReferenceDetail"},"description":"List of variants referencing this attribute from another attribute","nullable":true},"ReferencingGlobalListValues":{"type":"array","items":{"type":"string","format":"uuid"},"description":"List of global list values referencing this attribute","nullable":true},"ReferencingProductStructures":{"type":"array","items":{"type":"string","format":"uuid"},"description":"List of product structures referencing this attribute","nullable":true},"ReferencingVariationDefinitions":{"type":"array","items":{"type":"string","format":"uuid"},"description":"List of variation definitions referencing this attribute","nullable":true}},"additionalProperties":false,"description":"Model holding references from other entities to an attribute"},"Struct.App.Api.Models.Shared.EntityReferenceDetail":{"type":"object","properties":{"EntityId":{"type":"integer","description":"The id of the referencing entity","format":"int32"},"AttributeUid":{"type":"string","description":"The attribute on the referencing entity that holds the reference","format":"uuid"}},"additionalProperties":false,"description":"Model holding the attribute reference information for an entity reference"}}},"paths":{"/v1/attributes/batch/references":{"post":{"tags":["Attributes"],"summary":"Get references from other attributes to a batch of attributes","description":"#Available from v.3.5.0\r\nNo more than 5000 values can be requested at a time.","requestBody":{"description":"Uids of attributes","content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":"uuid"}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.Attribute.AttributeReferences"}}}}}}}}}}
```
